Loading...
Searching...
No Matches
generic_to_global_file.hpp File Reference
Private

this class provides an fichier_global interface for any type of generic_file object More...

`#include "fichier_global.hpp"`

Go to the source code of this file.

## Classes

class | libdar::generic_to_global_file
| provides a fichier_global interface for any type of generic_file More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

this class provides an fichier_global interface for any type of generic_file object

the main use is to be able to have hash_fichier working on other type of objects than fichier_global. The drawback is that all file specific operation is ignored (file ownership, permission...). The other point is the get_size() method which returns the current position of the read or write cursor, not the total available amount of data

Definition in file generic_to_global_file.hpp.